<?php 
/*
Fast Logs 1.0 - A fast, free and easy application for logging and displaying updates, 
notices or similar (C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Note is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// name of website
$website_title = 'My Website Logs';

// website URL to the folder where Fast Logs is stored, with trailing slash
$siteurl = 'http://www.mywebsite.com/fast_logs_v1_0/';

// website root path with trailing slash
// $rooturl = '/home/www/mywebsite.com/'; // below setting should work automatically but if not, set root path manually
$rooturl = dirname(realpath(dirname(__FILE__))).'/';

// username and password (defaults = fladmin/fldemo)
$admin_name = 'fladmin';
$admin_password = 'fldemo';

// how do you want the entries to be sorted?
// 0; = oldest to newest (oldest on top), 1; = newest to oldest (newest on top)   -   default is newest to oldest
$entry_sort = 1;

// how many entries do you want to display on a page in the front-end?
$per_page_front = 5;

// how many entries do you want to display on a page in the admin panel?
$per_page = 5;

// where do you want to show the pagination links?
// 0; = top only, 1; = bottom only, 2; = both top and bottom   -   default is bottom only
$pagination = 1;

// how many pagination links to display either side of active page number? (includes first, next, previous, last)
$range = 5; 

// how many characters to display as log entry excerpt in admin panel? (plain text - 'read more' links show if text > $excerpt)
// 999999; = disabled   -   set to a really high number to disable
$excerpt = 200;

// HTML tags to strip from entries
$strip_tags = array('span', 'div');

// do you want to allow use of the style="" attribute in entries? (advanced users only)
// 0; = no, 1; = yes   -   default is no
$style_attr = 0;





#### NO NEED TO EDIT PAST THIS LINE ####

// website root path to editable entries (.txt files) with trailing slash
$entry_root = $rooturl.'fast_logs/_entries/'; 

// website root path to entry status files with trailing slash
$entry_status = $rooturl.'fast_logs/_status/';

?>