<?php 
/*
Fast Logs 1.0 - A fast, free and easy application for logging and displaying updates, 
notices or similar (C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Note is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include_once('fast_logs/fast_logs_config.php'); // make sure this path is correct
include_once('fast_logs/fast_logs_functions.php'); // make sure this path is correct  

$per_page = $per_page_front;

$dh = opendir($entry_root);

$file_array = array(); // (re)set this as empty

while (false !== ($file = readdir($dh)) ) 
	{
	$estatus = @file_get_contents($entry_status.$file);

	if ( $estatus == 'inactive' ) 
		{ 
		$hidefile = $file; 
		}
		else
		{
		$hidefile = '';
		}
	
	if ( $file!='.' && $file!='..' && $file!=$hidefile ) 
		{
 		$file_array[] = $entry_root.$file;  
		} 
    	}

if ($entry_sort == 0 ) 
	{
	sort ($file_array); // sort pages a-z (oldest on top)
	}
	else
	{
	rsort ($file_array); // sort pages z-a (newest on top)
	}
    
$file_count = count($file_array);
$page_count = ceil( $file_count / $per_page );
$page = ( isset($_GET['page']) && is_numeric($_GET['page']) ) ? (int) $_GET['page'] : 1;
if ( $page > $page_count )
    	{
        $page = $page_count;
    	}
if ( $page < 1 )
    	{
        $page = 1;
    	}

$total_on_page = $per_page - ( ( $page * $per_page ) - $file_count ); 
$offset = ( ( $page - 1 ) * $per_page );   
if ( $total_on_page < $per_page ) 
	{
	$per_page = $total_on_page;
	}  

if ( $pagination == 0 || $pagination == 2 )
	{
	showPaginationfl($page,$page_count,$range); // show pagination
	} 


#### CUSTOMISE THE HTML OUTPUT AS NECESSARY ####


	echo '<div class="fast-logs">';
    
	for ( $i = $offset; $i < ( $offset + $per_page ); $i++ )
    		{
		$item = file_get_contents($file_array[$i]);
		echo $item;
		echo '<hr/>'; 
    		}

	echo '</div>';


#### CUSTOMISE THE HTML OUTPUT AS NECESSARY ####

    
if ( $pagination == 1 || $pagination == 2 )
	{
	showPaginationfl($page,$page_count,$range); // show pagination
	}

closedir($dh);
?>


